## arc-theme 20221218

=== meson_options.txt ===
option(
  'themes',
  type: 'array',
  choices: ['cinnamon', 'gnome-shell', 'gtk2', 'gtk3', 'gtk4', 'metacity', 'plank', 'unity', 'xfwm'],
  description: 'List of themes to build',
)

option(
  'variants',
  type: 'array',
  choices: ['light', 'darker', 'dark', 'lighter'],
  description: 'List of theme variants to build',
)

option(
  'transparency',
  type: 'boolean',
  value: true,
  description: 'Enable or disable transparency',
)

option(
  'cinnamon_version',
  type: 'string',
  description: 'Build Cinnamon theme for specific version',
)

option(
  'gnome_shell_version',
  type: 'string',
  description: 'Build GNOME Shell theme for specific version',
)

option(
  'gnome_shell_gresource',
  type: 'boolean',
  value: false,
  description: 'Compile GNOME Shell theme into a gresource file',
)

## arc-theme 20161005

=== debian/changelog ===
arc-theme (20161005-1) unstable; urgency=medium

  * New upstream release
    - Fix OSD windows in MATE 1.16
    - Fix Unity window decorations with GTK+ 3.20
    - Minor bugfixes
  * Packaging Changes
    - update debian/upstream/metadata to remove non-recommended 
      homepage field (Closes: #838988)
    - update homepage url in debian/control

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 05 Oct 2016 18:38:01 +0100

arc-theme (20160923-1) unstable; urgency=medium

  * New upstream release
    - GNOME 3.22 support
    - updates for all supported desktop environments
    - fix GNOME 3.22 build issue (Closes: #837265)
  * Packaging Changes
    - update maintainer email address
    - update files in debian/copyright
    - correct DE capitalization issues in debian/control

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 24 Sep 2016 09:09:01 +0100

arc-theme (20160605-2) unstable; urgency=medium

  * Include Arc's plank GTK+ option for each theme variant 

 -- David Mohammed <foss.freedom@gmail.com>  Wed, 06 Jul 2016 20:15:15 +0100

arc-theme (20160605-1) unstable; urgency=medium

  * Initial Release (Closes: #826762)

 -- David Mohammed <foss.freedom@gmail.com>  Wed, 08 Jun 2016 19:16:45 +0100

=== debian/control ===
Source: arc-theme
Section: misc
Priority: extra
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 9),
 dh-buildinfo,
 dh-autoreconf,
 pkg-config,
 libgtk-3-dev
Standards-Version: 3.9.8
Vcs-Browser: https://github.com/budgie-remix/arc-theme/tree/debian
Vcs-Git: https://github.com/budgie-remix/arc-theme -b debian
Homepage: http://github.com/horst3180/arc-theme

Package: arc-theme
Architecture: all
Depends: gnome-themes-standard, 
 gtk2-engines-murrine,
 ${misc:Depends}
Description: Flat theme with transparent elements
 Arc is a flat theme with transparent elements for GTK+ 3, GTK+ 2 and 
 GNOME Shell which supports GTK+ 3 and GTK+ 2 based desktop environments 
 like GNOME, Unity, Budgie, Pantheon, Xfce, MATE, etc.
 Arc also includes a GTK+ theme for Plank.
 .
 Arc is available in three variants:
 Arc, Arc-Darker, Arc-Dark

## arc-theme 20161119

=== debian/changelog ===
arc-theme (20161119-1) unstable; urgency=medium

  * New upstream release
    - Cinnamon 3.2
    - Bugfixes
  * Packaging Changes
    - updated David Mohammed email address in debian/copyright
    - debian/control changed vcs location to updated UbuntuBudgie repo
    - debian/control use debhelper v10

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 23 Nov 2016 19:03:43 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: misc
 Priority: extra
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-buildinfo,
- dh-autoreconf,
  pkg-config,
  libgtk-3-dev
 Standards-Version: 3.9.8
-Vcs-Browser: https://github.com/budgie-remix/arc-theme/tree/debian
-Vcs-Git: https://github.com/budgie-remix/arc-theme -b debian
+Vcs-Browser: https://github.com/UbuntuBudgie/arc-theme/tree/debian
+Vcs-Git: https://github.com/UbuntuBudgie/arc-theme -b debian
 Homepage: http://github.com/horst3180/arc-theme
 
 Package: arc-theme

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/arc-theme-$1\.tar\.gz/ \
  https://github.com/horst3180/arc-theme/tags .*/v?(\d\S*)\.tar\.gz

## arc-theme 20170302

=== debian/changelog ===
arc-theme (20170302-2) experimental; urgency=medium

  * Bug-fix release
    - add missing GTK+2 dependency - gtk2-engines-pixbuf (Closes: #864438)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 08 Jun 2017 16:53:23 +0100

arc-theme (20170302-1) experimental; urgency=medium

  * New upstream release
    - Cinnamon 3.2 fixes
    - Small bugfixes
  * Packaging Changes
    - update copyright year from 2016 to 2016-2017
    - update watch to include upstream signed signature

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 02 Mar 2017 20:37:05 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Architecture: all
 Depends: gnome-themes-standard, 
  gtk2-engines-murrine,
+ gtk2-engines-pixbuf,
  ${misc:Depends}
 Description: Flat theme with transparent elements
  Arc is a flat theme with transparent elements for GTK+ 3, GTK+ 2 and

## arc-theme 20180114

=== debian/changelog ===
arc-theme (20180114-1ubuntu1) bionic; urgency=medium

  * Bug-fix release
    cherrypick the following fixes
    - Budgie workspace and padding issues
      0001-Budgie-improvements-61.patch
    - chromium CSD styling
      0001-Add-a-workaround-for-Chrome-ium-CSD-mode-titlebutton.patch
    - Budgie panel button color
      0001-Ensure-Panel-buttons-use-the-selected-foreground-col.patch
    - Fix bouncing icons in cinnamon
      0001-Fix-bouncing-launcher-icons-in-cinnamon-51.patch
    - GNOME Shell top-bar color
      0001-fix-color-top-bar-gnome-in-gnome-shell.patch
 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Apr 2018 13:41:56 +0100

arc-theme (20180114-1) unstable; urgency=medium

  * New upstream release
  * Packaging changes:
    - Previous upload was to experimental since Debian was in package
      freeze for Stretch.  This release is to unstable since the archive
      is now unfrozen
    - Update upstream details in debian/upstream/metadata
    - debian/copyright Revise copyright details for 2018 year change and
      upstream details
    - debian/copyright change debian packaging from GPL-3+ to GPL-2+
    - debian/copyright remove obsolete gnome-shell files
    - debian/watch updated for upstream repository
    - debian/control add build dependency sassc
    - debian/control change Priority from extra to optional
    - debian/control bumped Standards-Version; no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 14 Jan 2018 13:20:54 +0000

=== debian/control ===
Source: arc-theme
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 11),
 dh-buildinfo,
 pkg-config,
 libgtk-3-dev,
 sassc
Standards-Version: 4.1.3
Homepage: https://github.com/nicohood/arc-theme
Vcs-Browser: https://github.com/UbuntuBudgie/arc-theme/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/arc-theme -b debian

Package: arc-theme
Architecture: all
Depends: gnome-themes-standard,
 gtk2-engines-murrine,
 gtk2-engines-pixbuf,
 ${misc:Depends}
Description: Flat theme with transparent elements
 Arc is a flat theme with transparent elements for GTK+ 3, GTK+ 2 and
 GNOME Shell which supports GTK+ 3 and GTK+ 2 based desktop environments
 like GNOME, Unity, Budgie, Pantheon, Xfce, MATE, etc.
 Arc also includes a GTK+ theme for Plank.
 .
 Arc is available in three variants:
 Arc, Arc-Darker, Arc-Dark

## arc-theme 20180715

=== debian/changelog ===
arc-theme (20180715-1) unstable; urgency=medium

  * New upstream version 20180715
  * patch 0001-Prepare-for-GNOME-3.30-and-Gtk-3.24-99-100.patch
    - build for GTK+3.24 (Closes: #908210)
  * Packaging Changes
    - control: Bump Standards-Version; rules made more verbose
    - control: Revise build-dependencies to reflect upstream changes
    - control: Add GTK+ runtime dependency to reflect addition of
      3.24 patch addition
    - control: Update runtime dependency to reflect new updated GNOME
      package name

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 7 Sep 2018 12:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Build-Depends: debhelper (>= 11),
  dh-buildinfo,
  pkg-config,
- libgtk-3-dev,
- sassc
-Standards-Version: 4.1.3
+ libgtk-3-dev (>= 3.24),
+ sassc,
+ inkscape,
+ optipng
+Standards-Version: 4.2.1
 Homepage: https://github.com/nicohood/arc-theme
 Vcs-Browser: https://github.com/UbuntuBudgie/arc-theme/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/arc-theme -b debian
 
 Package: arc-theme
 Architecture: all
-Depends: gnome-themes-standard,
+Depends: gnome-themes-extra,
  gtk2-engines-murrine,
  gtk2-engines-pixbuf,
  ${misc:Depends}
@@ -26,4 +28,3 @@
  .
  Arc is available in three variants:
  Arc, Arc-Darker, Arc-Dark
-

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

## arc-theme 20181022

=== debian/changelog ===
arc-theme (20181022-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper compat 10 to ease backports.
  * Add xfce-thicker-borders.patch

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 17 Jan 2019 11:14:47 -0800

arc-theme (20181022-1) unstable; urgency=medium

  * New upstream release
  * Drop path 0001-Prepare-for-GNOME-3.30-and-Gtk-3.24-99-100.patch since
    now incorporated in the release
  * Packaging Changes
    - rules add override to build theme with current unstable version of
      gnome-shell

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 22 Oct 2018 19:44:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: arc-theme
 Section: misc
 Priority: optional
-Maintainer: David Mohammed <fossfreedom@ubuntu.com>
-Build-Depends: debhelper (>= 11),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: David Mohammed <fossfreedom@ubuntu.com>
+Build-Depends: debhelper (>= 10),
  dh-buildinfo,
  pkg-config,
- libgtk-3-dev (>= 3.24),
+ libgtk-3-dev (>= 3.18),
  sassc,
  inkscape,
  optipng
@@ -16,7 +17,7 @@
 
 Package: arc-theme
 Architecture: all
-Depends: gnome-themes-extra,
+Depends: gnome-themes-extra | gnome-themes-standard,
  gtk2-engines-murrine,
  gtk2-engines-pixbuf,
  ${misc:Depends}

## arc-theme 20190213

=== debian/changelog ===
arc-theme (20190213-1) unstable; urgency=medium

  * New upstream release
  * Packaging Changes
    - Control: bump StandardsVersion - no changes required
    - Copyright: update copyright years to 2019
    - upstream/signing-key.asc re-export minimal key to resolve lintian
      issue

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 13 Feb 2019 19:17:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: arc-theme
 Section: misc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: David Mohammed <fossfreedom@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Maintainer: David Mohammed <fossfreedom@ubuntu.com>
+Build-Depends: debhelper (>= 11),
  dh-buildinfo,
  pkg-config,
- libgtk-3-dev (>= 3.18),
+ libgtk-3-dev (>= 3.24),
  sassc,
  inkscape,
  optipng
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/nicohood/arc-theme
 Vcs-Browser: https://github.com/UbuntuBudgie/arc-theme/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/arc-theme -b debian
 
 Package: arc-theme
 Architecture: all
-Depends: gnome-themes-extra | gnome-themes-standard,
+Depends: gnome-themes-extra,
  gtk2-engines-murrine,
  gtk2-engines-pixbuf,
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -3,3 +3,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- --with-gnome-shell=3.30

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/nicohood/arc-theme/releases .*/arc-theme-([0-9.]+)\.tar\.xz

## arc-theme 20190917

=== debian/changelog ===
arc-theme (20190917-1ubuntu1) eoan; urgency=medium

  * debian/rules - build for gnome-shell 3.34

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 18 Sep 2019 18:49:11 +0100

arc-theme (20190917-1) unstable; urgency=medium

  * New upstream release
    - Allow builds against gnome-shell 3.34
    - Refactor gnome-shell 3.32 code
        Removes redundant selectors/styling (i.e. styling that is no longer
        required in newer gnome shell versions), and replaces with newer
        selectors/styling (modifying to match Arc styling where necessary)
        Integrates styling from the default gnome shell theme into the Arc
        shell theme. Because the user shell theme (Arc in this case) is
        "overlaid" over the default shell theme, this is styling that was
        being "pulled in" anyway.
        Add full shadows to panel dropdown menus
    - InfoBar colors should respect type
    - Remove border from stackswitcher
    - Don't hardcode LightDM font-size
    - XFCE 4.14 panel styling fixes
  * Packaging Changes
    - Control: Update VCS fields for upstream name change
    - Control & Compat: Bump StandardsVersion - no changes required
    - Control: dependency update gnome-themes-extra (Closes: #892033)
      (this reflects the change made in v20180715)
    - upstream/metadata: Update for upstream name change
    - upstream/signing-key.asc: Update for maintainer signing key
    - watch: update for upstream name change

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 17 Sep 2019 20:47:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: misc
 Priority: optional
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
  dh-buildinfo,
  pkg-config,
  libgtk-3-dev (>= 3.24),
  sassc,
  inkscape,
  optipng
-Standards-Version: 4.3.0
-Homepage: https://github.com/nicohood/arc-theme
+Standards-Version: 4.4.0
+Homepage: https://github.com/arc-design/arc-theme
 Vcs-Browser: https://github.com/UbuntuBudgie/arc-theme/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/arc-theme -b debian

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-gnome-shell=3.34

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/arc-design/arc-theme/releases .*/arc-theme-([0-9.]+)\.tar\.xz

## arc-theme 20200819

=== debian/changelog ===
arc-theme (20200819-2) unstable; urgency=medium

  * Bug-fix
    Add public color for text views to ensure legible text
    views - for example gnome-terminal (Closes: #970988)

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 28 Sep 2020 18:12:34 +0100

arc-theme (20200819-1) unstable; urgency=medium

  * New upstream release
    - Removed openbox theme. It remains available from a separate repository
    - GNOME Shell
      Increase default font size for 3.36 and later
      Fix OpenWeather extension on 3.36
      Various small fixes and updates
    - Cinnamon
      Update to support versions up to 4.6
      Allow changing font family with 4.6 and later
      Grouped window list styling improvements
      Various fixes and updates
    - Metacity
      Improve consistency with dialog decorations
    - GTK 3
      Fix levelbar min-width and min-height
      Fix libhandy-0.0.13 ViewSwitcherBar padding
      Fix corner rounding on stacked headerbars
      Style xfce4-genmon-plugin bar backgrounds consistently
      Various small fixes
  * Packaging Changes
    - control: bump debhelper version
    - rules: cinnamon 4.6 compile option

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 19 Aug 2020 09:10:42 +0100

arc-theme (20200513-1) unstable; urgency=medium

  * New upstream release
    - Updated themes to support latest desktop versions.
    - Added Arc-Lighter variant, that has no dark elements.
    - Added Openbox theme.
    - Enabled disabling transparency on the GNOME Shell theme.
    - Numerous small fixes and improvements all around.

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 13 May 2020 21:53:17 +0100

arc-theme (20190917+git20200328-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Use canonical URL in Vcs-Git.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 05 May 2020 21:34:52 +0100

arc-theme (20190917+git20200328-2) unstable; urgency=medium

  * Transition for GNOME 3.36
    - rules updated to build against gnome-shell 3.36

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 13 Apr 2020 10:27:55 +0100

arc-theme (20190917+git20200328-1) unstable; urgency=medium

  * New release
    - tarball manually created from new upstream:
      https://github.com/jnsh/arc-theme commit
      3eca62256a637a87c6e1d1e39c33b0c629cd3faa
      New upstream will be releasing a tarball formally later.
      Debian version based on previous upstream release + new upstream git
      commit date.
      This release resolve FTBFS (Closes: #954707)
  * Packaging Changes
    - update rules to specify cinnamon version and update gnome-shell
      version
    - control: bump Standards-Version - no changes required
    - control: update description to reflect Arc-Lighter addition
    - control: update homepage for the new upstream
    - Remove compat - replace with debhelper-compat in control
    - watch: update for new upstream
    - copyright: update authors to reflect new upstream
    - upstream: remove signing key from previous upstream
    - upstream/metadata: update to reflect new upstream

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 30 Mar 2020 16:06:12 +0100

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-gnome-shell=3.36 --with-cinnamon=4.6

## arc-theme 20201013

=== debian/changelog ===
arc-theme (20201013-2) unstable; urgency=medium

  * Bug-fix release
    - Add build support for Cinnamon 4.8
      0001-cinnamon-Support-version-4.8.patch
  * Packaging Changes
    - rules: build depends on GNOME-Shell 3.38 and
      Cinnamon 4.8 (Closes: #980734)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 21 Jan 2021 13:24:44 +0000

arc-theme (20201013-1) unstable; urgency=medium

  * New upstream release
    - GNOME Shell:
      Update for GNOME 3.38
      Update styling for login and unlock screens
      Various updates and fixes
    - GTK 3:
      Add styling for libhandy 1.0 widgets
      Update Nautilus path-bar styling based on 3.38 upstream changes
      Various updates and fixes
    - Arc-Lighter:
      Minor color adjustments
  * Drop public color patch since now in the new release

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 13 Oct 2020 21:11:55 +0100

=== debian/control ===
Source: arc-theme
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 13),
 debhelper-compat (= 13),
 dh-buildinfo,
 pkg-config,
 libgtk-3-dev,
 sassc,
 inkscape,
 optipng
Standards-Version: 4.5.0
Homepage: https://github.com/jnsh/arc-theme
Vcs-Browser: https://github.com/UbuntuBudgie/arc-theme/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/arc-theme.git -b debian

Package: arc-theme
Architecture: all
Depends: gnome-themes-extra,
 gtk2-engines-murrine,
 gtk2-engines-pixbuf,
 ${misc:Depends}
Description: Flat theme with transparent elements
 Arc is a flat theme with transparent elements for GTK+ 3, GTK+ 2 and
 GNOME Shell which supports GTK+ 3 and GTK+ 2 based desktop environments
 like GNOME, Unity, Budgie, Pantheon, Xfce, MATE, etc.
 Arc also includes a GTK+ theme for Plank.
 .
 Arc is available in four variants:
 Arc, Arc-Darker, Arc-Dark, Arc-Lighter

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-gnome-shell=3.38 --with-cinnamon=4.8

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/arc-theme-$1\.tar\.gz/ \
  https://github.com/jnsh/arc-theme/tags .*/v?(\d\S+)\.tar\.gz

## arc-theme 20210412

=== debian/changelog ===
arc-theme (20210412-0ubuntu1) impish; urgency=medium

  * New upstream release
    - Update for GNOME 40
    - hide border around user avatars
    - Fix nautilus path bar button border radius when button is only child
    - Don't hardcode mate-panel tray icon size
    - Add menu, stick and shade button icons for metacity
  * Packaging Changes
    - control: meson build system dependencies - remove autotools
    - control: bump StandardsVersion - no changes required
    - d/p: remove existing patches
    - rules: build for GNOME 40
    - rules: add fixperms for gresource executables

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 17 Jul 2021 11:37:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
 Build-Depends: debhelper (>= 13),
  debhelper-compat (= 13),
- dh-buildinfo,
- pkg-config,
  libgtk-3-dev,
  sassc,
  inkscape,
- optipng
-Standards-Version: 4.5.0
+ optipng,
+ meson (>= 0.48.0)
+Standards-Version: 4.5.1
 Homepage: https://github.com/jnsh/arc-theme
 Vcs-Browser: https://github.com/UbuntuBudgie/arc-theme/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/arc-theme.git -b debian

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgnome_shell_version=40 -Dcinnamon_version=4.8

override_dh_fixperms:
	dh_fixperms
	find debian/ -name "*.gresource" -exec chmod 644 {} +

## arc-theme 20220405

=== debian/changelog ===
arc-theme (20220405-1) unstable; urgency=medium

  * New upstream release
    GNOME Shell theme:
    Update theme for GNOME Shell 42
    GTK 3 theme:
    Nautilus path-bar improvements
    Style updated path-bar in Nautilus 42
    Various fixes and improvements as described on the upstream
    release tag
    GTK 4 theme:
    Add libadwaita public color definitions

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 05 Apr 2022 22:31:22 +0100

arc-theme (20220223-1) unstable; urgency=medium

  * New upstream release
    Add styling for libadwaita widgets
    Various fixes and improvements as described on the upstream
    release tag
    Fix dash-to-dock focused application icon mouseover background

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 23 Feb 2022 19:39:44 +0000

arc-theme (20220105-1) unstable; urgency=medium

  * New upstream release
    - Cinnamon theme:
      Update for Cinnamon 5.2
      Drop support for versions before 3.8
    - GTK 4 theme:
      Fix applications crashing with GTK 4.6
    - GTK 3 theme:
      Drop versioned themes, and only target GTK 3.24 for now on
      Xfce4 panel padding fixes
      Hide border on MATE panel sensors applet graph
    - GNOME Shell theme:
      Drop Arc-Lighter variant for GNOME Shell 40 and later
      Drop support for versions before 3.28
    - Metacity theme:
      Add dark Metacity v3 variant, with distinct window border
      Adjust titlebar padding
      Increase rounded corner radius slightly
      Don't round corners for tiled windows
    - Xfwm4 theme:
      Increase resize border width
      Make bottom decoration corners square
      Fix titlebar button spacing
  * Packaging Changes
    - control: Meson version >= 0.53
    - copyright: Bump year

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 06 Jan 2022 20:21:33 +0000

arc-theme (20211018-1) unstable; urgency=medium

  * New upstream release
    - GTK 4.2 compatibility
    - Update libhandy style
    - Add support for GNOME Shell 41
    - Add support for Cinnamon v5.0
  * Packaging Changes
    - Control: Add libgtk-4-dev, cinnamon and gnome-shell to build
      dependencies to allow arc-theme to auto-determine which version to
      build for
    - Control: Update description for GTK+ 4 and Cinnamon
    - Rules: Remove gnome-shell and cinnamon specific build info
    - Copyright: Update copyright years
    - Control: Standards-Version 4.6.0 - no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 18 Oct 2021 19:46:07 +0100

arc-theme (20210412-1) unstable; urgency=medium

  * New upstream release
    - Update for GNOME 40
    - hide border around user avatars
    - Fix nautilus path bar button border radius when button is only child
    - Don't hardcode mate-panel tray icon size
    - Add menu, stick and shade button icons for metacity
  * Packaging Changes
    - control: meson build system dependencies - remove autotools
    - control: bump StandardsVersion - no changes required
    - d/p: remove existing patches
    - rules: build for GNOME 40
    - rules: add fixperms for gresource executables
  *

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 19 Sep 2021 18:11:38 +0100

=== debian/control ===
Source: arc-theme
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 13),
 debhelper-compat (= 13),
 libgtk-3-dev,
 libgtk-4-dev,
 cinnamon,
 gnome-shell,
 sassc,
 inkscape,
 optipng,
 meson (>= 0.53.0)
Standards-Version: 4.6.0
Homepage: https://github.com/jnsh/arc-theme
Vcs-Browser: https://github.com/UbuntuBudgie/arc-theme/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/arc-theme.git -b debian

Package: arc-theme
Architecture: all
Depends: gnome-themes-extra,
 gtk2-engines-murrine,
 gtk2-engines-pixbuf,
 ${misc:Depends}
Description: Flat theme with transparent elements
 Arc is a flat theme with transparent elements for GTK+4, GTK+ 3,
 GTK+ 2 and GNOME Shell which supports GTK+ 3 and GTK+ 2 based
 desktop environments like GNOME, Unity, Budgie, Pantheon, Xfce,
 MATE, Cinnamon, etc.
 Arc also includes a GTK+ theme for Plank.
 .
 Arc is available in four variants:
 Arc, Arc-Darker, Arc-Dark, Arc-Lighter

## arc-theme 20221218

=== debian/changelog ===
arc-theme (20221218-3) unstable; urgency=medium

  * Add patches for labwc support
    0001-Labwc-folder.patch
    0002-Attempt-to-add-support-for-Labwc.patch
    0003-Second-part-of-the-attempt-to-add-support-for-Labwc.patch
    0001-budgie-Small-adjustment-to-the-Ubuntu-Budgie-menu-ca.patch
  * Add patch for budgie-desktop menu

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 20 Dec 2025 08:52:48 +0000

arc-theme (20221218-2) unstable; urgency=medium

  * No longer build for GTK-2 - thanks to Jeremy Bicha for the patch
  * d/control remove unneeded B/D debhelper
  * d/control remove dependencies from binary package and revise
    binary package description

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 28 Nov 2025 15:37:46 +0000

arc-theme (20221218-1) unstable; urgency=medium

  * New upstream release
    Cinnamon theme:
      Update for Cinnamon 5.4
    GNOME Shell theme:
      Update for GNOME Shell 43
      Various fixes and updates for GNOME Shell 42
    GTK 3 and GTK4 themes:
      Fix "dark style" preference with Arc-Dark variant
      Add borders to solid-csd decorations, fixing some borderless windows
    GTK 3 theme:
      Fix switches in xfce4-panel menus
      Fix offset titlebar decorations in some cases (e.g. Cinnamon 5.4 and
      Electron applications in GNOME)
      Various Fixes and improvements

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 19 Dec 2022 09:40:05 +0000

=== debian/control ===
Source: arc-theme
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: 
 debhelper-compat (= 13),
 libgtk-3-dev,
 libgtk-4-dev,
 cinnamon,
 gnome-shell,
 sassc,
 inkscape,
 optipng,
 meson (>= 0.53.0)
Standards-Version: 4.7.2
Homepage: https://github.com/jnsh/arc-theme
Vcs-Browser: https://github.com/UbuntuBudgie/arc-theme/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/arc-theme.git -b debian

Package: arc-theme
Architecture: all
Depends: ${misc:Depends}
Description: Flat theme with transparent elements
 Arc is a flat theme with transparent elements for GTK 4, GTK 3,
 and GNOME Shell which supports GTK based desktop environments like
 GNOME, Unity, Budgie, Pantheon, Xfce, MATE, Cinnamon, etc.
 Arc also includes a GTK theme for Plank.
 .
 Arc is available in four variants:
 Arc, Arc-Darker, Arc-Dark, Arc-Lighter

=== debian/rules ===
#! /usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dthemes=cinnamon,gnome-shell,gtk3,gtk4,metacity,plank,unity,xfwm,labwc

override_dh_fixperms:
	dh_fixperms
	find debian/ -name "*.gresource" -exec chmod 644 {} +
